## python-sushy-oem-idrac 0.0.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-dateutil>=2.7.0 # BSD
six>=1.10.0 # MIT
sushy # Apache-2.0

=== debian/changelog ===
python-sushy-oem-idrac (0.0.2-0ubuntu1) groovy; urgency=low

  * Initial release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Oct 2020 14:21:04 -0400

=== debian/control ===
Source: python-sushy-oem-idrac
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-dateutil (>= 2.7.0),
 python3-hacking (>= 1.0.0),
 python3-mock,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslotest (>= 1:3.2.0),
 python3-pbr (>= 2.0.0),
 python3-reno (>= 2.5.0),
 python3-six (>= 1.10.0),
 python3-sphinx (>= 1.6.2),
 python3-stestr (>= 2.0.0),
 python3-subunit (>= 1.0.0),
 python3-sushy,
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.5.0
Homepage: https://opendev.org/x/sushy-oem-idrac
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-sushy-oem-idrac
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-sushy-oem-idrac

Package: python3-sushy-oem-idrac
Architecture: all
Depends:
 python3-dateutil (>= 2.7.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sushy,
 ${misc:Depends},
 ${python3:Depends},
Description: Python client library to communicate with Redfish based BMC.
 The Redfish specification offers an extensibility mechanism to let hardware vendors
 introduce their own features with the common Redfish framework. At the same time,
 sushy supports extending its data model by loading extensions found within its
 “oem” namespace. The sushy-oem-idrac package is a sushy extension package that aims
 at adding high-level hardware management abstractions, that are specific to Dell
 EMC BMC (which is known under the name of iDRAC), to the tree of sushy Redfish
 resources.
 .
 This package contains the Python 3 module.

## python-sushy-oem-idrac 1.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,5 +4,4 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 python-dateutil>=2.7.0 # BSD
-six>=1.10.0 # MIT
-sushy # Apache-2.0
+sushy>=2.0.0 # Apache-2.0

=== debian/changelog ===
python-sushy-oem-idrac (1.0.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 25 Mar 2021 19:43:55 +0000

python-sushy-oem-idrac (1.0.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 10:55:50 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends-Indep:
  python3-coverage (>= 4.0),
  python3-dateutil (>= 2.7.0),
- python3-hacking (>= 1.0.0),
+ python3-hacking,
  python3-mock,
  python3-openstackdocstheme (>= 1.18.1),
  python3-oslotest (>= 1:3.2.0),
@@ -21,13 +21,13 @@
  python3-sphinx (>= 1.6.2),
  python3-stestr (>= 2.0.0),
  python3-subunit (>= 1.0.0),
- python3-sushy,
+ python3-sushy (>= 2.0.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
 Standards-Version: 4.5.0
 Homepage: https://opendev.org/x/sushy-oem-idrac
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-sushy-oem-idrac
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-sushy-oem-idrac
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-sushy-oem-idrac
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-sushy-oem-idrac
 
 Package: python3-sushy-oem-idrac
 Architecture: all
@@ -35,7 +35,7 @@
  python3-dateutil (>= 2.7.0),
  python3-pbr (>= 2.0.0),
  python3-six (>= 1.10.0),
- python3-sushy,
+ python3-sushy (>= 2.0.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: Python client library to communicate with Redfish based BMC.

## python-sushy-oem-idrac 3.0.0

=== debian/changelog ===
python-sushy-oem-idrac (3.0.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:45:50 -0400

python-sushy-oem-idrac (2.1.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 15:37:31 -0400

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-sphinx (>= 1.6.2),
  python3-stestr (>= 2.0.0),
  python3-subunit (>= 1.0.0),
- python3-sushy (>= 2.0.0),
+ python3-sushy (>= 3.11.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
 Standards-Version: 4.5.0
@@ -35,7 +35,7 @@
  python3-dateutil (>= 2.7.0),
  python3-pbr (>= 2.0.0),
  python3-six (>= 1.10.0),
- python3-sushy (>= 2.0.0),
+ python3-sushy (>= 3.11.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: Python client library to communicate with Redfish based BMC.

## python-sushy-oem-idrac 3.0.1

=== requirements.txt ===
--- 
+++ 
@@ -4,4 +4,4 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 python-dateutil>=2.7.0 # BSD
-sushy>=2.0.0 # Apache-2.0
+sushy>=3.11.0 # Apache-2.0

=== debian/changelog ===
python-sushy-oem-idrac (3.0.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 15:15:05 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

## python-sushy-oem-idrac 5.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,4 +4,4 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 python-dateutil>=2.7.0 # BSD
-sushy>=3.11.0 # Apache-2.0
+sushy>=4.0.0 # Apache-2.0

=== debian/changelog ===
python-sushy-oem-idrac (5.0.0-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Oct 2024 08:38:14 +0200

python-sushy-oem-idrac (5.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1079692)

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 13:46:14 +0200

=== debian/control ===
Source: python-sushy-oem-idrac
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-dateutil,
 python3-oslotest,
 python3-pytest,
 python3-reno,
 python3-stestr,
 python3-subunit,
 python3-sushy,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-sushy-oem-idrac
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-sushy-oem-idrac.git
Homepage: https://github.com/openstack/sushy-oem-idrac

Package: python3-sushy-oem-idrac
Architecture: all
Depends:
 python3-dateutil,
 python3-sushy,
 ${misc:Depends},
 ${python3:Depends},
Description: Dell EMC iDRAC OEM extension package for the sushy library
 The sushy-oem-idrac package is a sushy extension package that aims at adding
 high-level hardware management abstractions, that are specific to Dell EMC BMC
 (which is known under the name of iDRAC), to the tree of sushy Redfish resources.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/sushy-oem-idrac.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS='sushy_oem_idrac\.tests.*'

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'sushy_oem_idrac\.tests.*'
endif

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/"
https://github.com/openstack/sushy-oem-idrac refs/tags/(\d[brc\d\.]+)
